Package weka.core.pmml.jaxbbindings

# Enum Class VALIDTIMESPEC

java.lang.Object
java.lang.Enum<VALIDTIMESPEC>
weka.core.pmml.jaxbbindings.VALIDTIMESPEC

All Implemented Interfaces:
  `Serializable`, `Comparable<VALIDTIMESPEC>`, `Constable`

public enum VALIDTIMESPEC extends Enum<VALIDTIMESPEC>

Java class for VALID-TIME-SPEC.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="VALID-TIME-SPEC">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="includeAll"/>
         <enumeration value="includeFromTo"/>
         <enumeration value="excludeFromTo"/>
         <enumeration value="includeSet"/>
         <enumeration value="excludeSet"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXCLUDE_FROM_TO`
  `EXCLUDE_SET`
  `INCLUDE_ALL`
  `INCLUDE_FROM_TO`
  `INCLUDE_SET`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VALIDTIMESPEC`
  `fromValue(String v)`
  `String`
  `value()`
  `static VALIDTIMESPEC`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VALIDTIMESPEC[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXCLUDE_FROM_TO

    public static final VALIDTIMESPEC EXCLUDE_FROM_TO

  - ### EXCLUDE_SET

    public static final VALIDTIMESPEC EXCLUDE_SET

  - ### INCLUDE_ALL

    public static final VALIDTIMESPEC INCLUDE_ALL

  - ### INCLUDE_FROM_TO

    public static final VALIDTIMESPEC INCLUDE_FROM_TO

  - ### INCLUDE_SET

    public static final VALIDTIMESPEC INCLUDE_SET

- ## Method Details

  - ### values

    public static VALIDTIMESPEC[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VALIDTIMESPEC valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static VALIDTIMESPEC fromValue(String v)